Bug 120872 - kernel hangs at boot if acpi enabled unless Tyan BIOS upgrade
Summary: kernel hangs at boot if acpi enabled unless Tyan BIOS upgrade
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-14 18:55 UTC by Dan Hollis
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-16 22:58:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Hollis 2004-04-14 18:55:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040113

Description of problem:
Tyan S2850
Opteron 140
512mb Reg ECC PC2100

If ACPI is enabled either in bios or in kernel, the kernel will hang
at boot.

Disabling ACPI in bios or appending 'acpi=off' to the commandline
allows booting.

Version-Release number of selected component (if applicable):
kernel-2.6.3-2.1.253.2.1

How reproducible:
Always

Steps to Reproduce:
1. Install FC2T2 on S2850
2. Reboot system after install finished
3. Yell at non booting kernel
    

Actual Results:  It hangs at boot :|

Expected Results:  It should have booted :|

Additional info:

Comment 1 Len Brown 2004-04-16 06:12:07 UTC
What is the last thing printed before the boot hang? 
If it prints nothing, please attach the output of acpidmp 
available in /usr/sbin/ in in pmtools here: 
http://ftp.kernel.org/pub/linux/kernel/people/lenb/acpi/utils/ 
 
Any change if you boot with "pci=noapic" or "noapic"? 
 
Does any other Linux version with ACPI enabled work? 
(eg. FC2-test1, FC1 with "acpi=on", or 2.6.5) 
 
Also, please verify that you have the lastest BIOS. 
 
thanks, 
-Len 
 

Comment 2 Dan Hollis 2004-04-16 19:19:25 UTC
latest unreleased beta bios from tyan fixes this problem (and others):

ftp://ftp.tyan.com/bios_beta/2850_205a_beta.zip

hopefully tyan will release this publically soon.

Comment 3 Sahil Verma 2004-04-16 21:48:27 UTC
Please close, NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.